%define major		0
%define libname		%mklibname samplerate %{major}
%define develname	%mklibname samplerate -d

Summary:	Audio Sample Rate Converter library
Name:		libsamplerate
Version:	0.2.2
Release:	%mkrel 3
License:	BSD
Group:		Sound/Editors and Converters
URL:		https://libsndfile.github.io/libsamplerate/
Source0:	https://github.com/libsndfile/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(fftw3) >= 3

%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

%package -n %{libname}
Summary:	Audio Sample Rate Converter shared library
Group:		System/Libraries

%description -n	%{libname}
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

This package contains the shared library required for running programs
using %{name}.

%package -n %{develname}
Summary:	Audio Sample Rate Converter development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	samplerate-devel = %{version}-%{release}

%description -n	%{develname}
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

This package contains the C headers and other files needed to compile
programs with %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS README.md
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_docdir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/samplerate.pc
%{_includedir}/samplerate.h


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.2-3.mga10
+ Revision: 2213329
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.2.2-2.mga9
+ Revision: 1838066
- Mageia 9 Mass Rebuild

* Tue Nov 16 2021 luigiwalser <luigiwalser> 0.2.2-1.mga9
+ Revision: 1757334
- 0.2.2

* Mon Apr 26 2021 daviddavid <daviddavid> 0.2.1-1.mga9
+ Revision: 1719945
- new version: 0.2.1
- update Url and Source Url
- sndfile-resample was moved to sndfile-tools package

* Thu Feb 13 2020 umeabot <umeabot> 0.1.9-4.mga8
+ Revision: 1514406
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.9-3.mga7
+ Revision: 1299133
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.1.9-2.mga7
+ Revision: 1233903
- use new make macros
- fix build on aarch64

* Fri Nov 11 2016 luigiwalser <luigiwalser> 0.1.9-1.mga6
+ Revision: 1066556
- 0.1.9
- now BSD licensed

* Mon Feb 08 2016 umeabot <umeabot> 0.1.8-6.mga6
+ Revision: 945535
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.8-5.mga5
+ Revision: 748773
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.8-4.mga5
+ Revision: 681769
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.8-3.mga4
+ Revision: 507321
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.8-2.mga3
+ Revision: 358126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.1.8-1.mga3
+ Revision: 323449
- clean spec
- fix rpm group

* Sun Oct 02 2011 fwang <fwang> 0.1.8-1.mga2
+ Revision: 150851
- update file list
- new version 0.1.8

* Thu Jan 13 2011 dmorgan <dmorgan> 0.1.7-4.mga2
+ Revision: 15588
- Remove mdv macros
- imported package libsamplerate


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-4mdv2011.0
+ Revision: 602604
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-3mdv2010.1
+ Revision: 520903
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.7-2mdv2010.0
+ Revision: 425704
- rebuild

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2009.1
+ Revision: 340736
- disable checks
- update to new version 0.1.7

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2009.1
+ Revision: 334158
- new version
- drop patch

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2009.1
+ Revision: 328508
- fix checks
- update to new version 0.1.5

* Sun Jul 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.4-1mdv2009.0
+ Revision: 232077
- update to new version 0.1.4

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-1mdv2009.0
+ Revision: 195270
- 0.1.3

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-0.pre6.3mdv2008.1
+ Revision: 173759
- new license policy
- rebuild against libsndfile

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 Funda Wang <fwang@mandriva.org> 0.1.3-0.pre6.2mdv2008.0
+ Revision: 94725
- fix provides

* Fri Jul 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-0.pre6.1mdv2008.0
+ Revision: 53953
- new prerelease

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-0.pre5.2mdv2008.0
+ Revision: 44720
- adjust provides

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-0.pre5.1mdv2008.0
+ Revision: 43354
- new version (prerelease)
- new devel library policy
- spec file clean


* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.1.2-3mdv2007.0
+ Revision: 88780
- Import libsamplerate

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.1.2-3mdv2007.1
- add check section

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-2mdk
- yearly rebuild

* Tue Nov 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- New release 0.1.2

* Tue Jul 20 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- reenable unit-at-a-time
- New release 0.1.1

* Tue Jun 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- fix buildrequires
- lower optflags
- reenable libtoolize

* Fri May 07 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- don't libtoolize
- drop prefix
- add source URL
- new version

